## percona-postgresql-11 11.16

=== src/pl/tcl/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for the PL/Tcl procedural language
#
# src/pl/tcl/Makefile
#
#-------------------------------------------------------------------------

subdir = src/pl/tcl
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global


override CPPFLAGS := -I. -I$(srcdir) $(TCL_INCLUDE_SPEC) $(CPPFLAGS)

# On Windows, we don't link directly with the Tcl library; see below
ifneq ($(PORTNAME), win32)
SHLIB_LINK = $(TCL_LIB_SPEC) $(TCL_LIBS) -lc
endif

PGFILEDESC = "PL/Tcl - procedural language"

NAME = pltcl

OBJS = pltcl.o $(WIN32RES)

DATA = pltcl.control pltcl--1.0.sql pltcl--unpackaged--1.0.sql \
       pltclu.control pltclu--1.0.sql pltclu--unpackaged--1.0.sql

REGRESS_OPTS = --dbname=$(PL_TESTDB) --load-extension=pltcl
REGRESS = pltcl_setup pltcl_queries pltcl_call pltcl_start_proc pltcl_subxact pltcl_unicode pltcl_transaction

# Tcl on win32 ships with import libraries only for Microsoft Visual C++,
# which are not compatible with mingw gcc. Therefore we need to build a
# new import library to link with.
ifeq ($(PORTNAME), win32)

tclwithver = $(subst -l,,$(filter -l%, $(TCL_LIB_SPEC)))
TCLDLL = $(dir $(TCLSH))/$(tclwithver).dll

OBJS += lib$(tclwithver).a

lib$(tclwithver).a: $(tclwithver).def
	dlltool --dllname $(tclwithver).dll --def $(tclwithver).def --output-lib lib$(tclwithver).a

$(tclwithver).def: $(TCLDLL)
	gendef - $^ > $@

endif # win32


include $(top_srcdir)/src/Makefile.shlib


all: all-lib

# Force this dependency to be known even without dependency info built:
pltcl.o: pltclerrcodes.h

# generate pltclerrcodes.h from src/backend/utils/errcodes.txt
pltclerrcodes.h: $(top_srcdir)/src/backend/utils/errcodes.txt generate-pltclerrcodes.pl
	$(PERL) $(srcdir)/generate-pltclerrcodes.pl $< > $@

distprep: pltclerrcodes.h

install: all install-lib install-data

installdirs: installdirs-lib
	$(MKDIR_P) '$(DESTDIR)$(datadir)/extension'

uninstall: uninstall-lib uninstall-data

install-data: installdirs
	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(DATA)) '$(DESTDIR)$(datadir)/extension/'

uninstall-data:
	rm -f $(addprefix '$(DESTDIR)$(datadir)/extension'/, $(notdir $(DATA)))

.PHONY: install-data uninstall-data


check: submake
	$(pg_regress_check) $(REGRESS_OPTS) $(REGRESS)

installcheck: submake
	$(pg_regress_installcheck) $(REGRESS_OPTS) $(REGRESS)

.PHONY: submake
submake:
	$(MAKE) -C $(top_builddir)/src/test/regress pg_regress$(X)

# pltclerrcodes.h is in the distribution tarball, so don't clean it here.
clean distclean: clean-lib
	rm -f $(OBJS)
	rm -rf $(pg_regress_clean_files)
ifeq ($(PORTNAME), win32)
	rm -f $(tclwithver).def
endif

maintainer-clean: distclean
	rm -f pltclerrcodes.h

=== debian/changelog ===
percona-postgresql-11 (11.16-3) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 11.16-3

 -- debian-cloud-user <jenkins@minimal-stretch-x64-6903>  Tue, 31 May 2022 13:16:58 -0400

percona-postgresql-11 (11.16) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 31 May 2022 13:16:58 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

MAJOR_VER := 11
#CASSERT_FLAGS := --enable-cassert
#py2#HAVE_PYTHON2=yes

CATVERSION = $(shell awk '/CATALOG_VERSION_NO/ { print $$3 }' src/include/catalog/catversion.h)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Facilitate hierarchical profile generation on amd64 (#730134)
ifeq ($(DEB_HOST_ARCH),amd64)
CFLAGS+= -fno-omit-frame-pointer
endif

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

# if LLVM is installed, use it
ifneq ($(wildcard /usr/bin/llvm-config*),)
LLVM_FLAGS = --with-llvm LLVM_CONFIG=/usr/bin/llvm-config-11 CLANG=/usr/bin/clang-11
endif

# PostgreSQL 9.5+ does not have native spinlock support on alpha
# No spinlock support for RISC-V yet
ifneq ($(findstring $(DEB_HOST_ARCH), alpha riscv64),)
SPINLOCK_FLAGS = --disable-spinlocks
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
SYSTEMD_FLAGS = --with-systemd
SELINUX_FLAGS= --with-selinux
endif

COMMON_CONFIGURE_FLAGS= \
  --mandir=/usr/share/postgresql/$(MAJOR_VER)/man \
  --docdir=/usr/share/doc/postgresql-doc-$(MAJOR_VER) \
  --sysconfdir=/etc/postgresql-common \
  --datarootdir=/usr/share/ \
  --datadir=/usr/share/postgresql/$(MAJOR_VER) \
  --bindir=/usr/lib/postgresql/$(MAJOR_VER)/bin \
  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
  --libexecdir=/usr/lib/postgresql/ \
  --includedir=/usr/include/postgresql/ \
  --with-extra-version=" ($(DEB_VENDOR) $(DEB_VERSION))" \
  --enable-nls \
  --enable-thread-safety \
  --enable-tap-tests \
  --enable-debug \
  --enable-dtrace \
  $(CASSERT_FLAGS) \
  --disable-rpath \
  --with-uuid=e2fs \
  --with-gnu-ld \
  --with-pgport=5432 \
  --with-system-tzdata=/usr/share/zoneinfo \
  $(LLVM_FLAGS) \
  $(SYSTEMD_FLAGS) \
  $(SELINUX_FLAGS) \
  $(SPINLOCK_FLAGS) \
  MKDIR_P='/bin/mkdir -p' \
  PROVE='/usr/bin/prove' \
  TAR='/bin/tar' \
  CFLAGS='$(CFLAGS)' \
  LDFLAGS='$(LDFLAGS)'

# allow missing krb5 and ldap during bootstrapping
ifeq ($(DEB_STAGE),stage1)
BOOTSTRAP_FLAGS=
else
BOOTSTRAP_FLAGS= --with-gssapi --with-ldap \
		 --with-includes=/usr/include/mit-krb5 \
		 --with-libs=/usr/lib/mit-krb5 \
		 --with-libs=/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5
endif

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_configure-indep: stamp/configure-build
override_dh_auto_configure-arch: stamp/configure-build
ifeq ($(HAVE_PYTHON2),yes)
override_dh_auto_configure-arch: stamp/configure-build-py2
endif

stamp/configure-build:
	mkdir -p stamp
	dh_auto_configure --builddirectory=build -- \
           --with-icu \
           --with-tcl \
           --with-perl \
           --with-python \
           --with-pam \
           --with-openssl \
           --with-libxml \
           --with-libxslt \
           PYTHON=/usr/bin/python3 \
           $(COMMON_CONFIGURE_FLAGS) \
           $(BOOTSTRAP_FLAGS)
	# remove pre-built documentation
	rm -fv doc/src/sgml/*-stamp
	touch "$@"

stamp/configure-build-py2:
	mkdir -p stamp
	dh_auto_configure --builddirectory=build-py2 -- \
           --with-python \
           PYTHON=/usr/bin/python \
           $(COMMON_CONFIGURE_FLAGS)
	touch "$@"

override_dh_auto_build-indep:
	$(MAKE) -C build/doc all # build man + html

override_dh_auto_build-arch: stamp/build

stamp/build: stamp/configure-build
	# set MAKELEVEL to 0 to force building submake-generated-headers in src/Makefile.global(.in)
	MAKELEVEL=0 $(MAKE) -C build/src all
	$(MAKE) -C build/doc man # build man only
	$(MAKE) -C build/config all
	$(MAKE) -C build/contrib all
	# build tutorial stuff
	$(MAKE) -C build/src/tutorial NO_PGXS=1
	touch "$@"

ifeq ($(HAVE_PYTHON2),yes)
override_dh_auto_build-arch: stamp/build-py2

stamp/build-py2: stamp/configure-build-py2
	MAKELEVEL=0 $(MAKE) -C build-py2/src/pl/plpython
	$(MAKE) -C build-py2/contrib/hstore_plpython
	$(MAKE) -C build-py2/contrib/jsonb_plpython
	$(MAKE) -C build-py2/contrib/ltree_plpython
	touch "$@"
endif

override_dh_auto_install-arch:
	$(MAKE) -C build/doc/src/sgml install-man DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/src install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/config install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/contrib install DESTDIR=$(CURDIR)/debian/tmp
ifeq ($(HAVE_PYTHON2),yes)
	$(MAKE) -C build-py2/src/pl/plpython install DESTDIR=$(CURDIR)/debian/percona-postgresql-plpython-$(MAJOR_VER)
	$(MAKE) -C build-py2/contrib/hstore_plpython install DESTDIR=$(CURDIR)/debian/percona-postgresql-plpython-$(MAJOR_VER)
	$(MAKE) -C build-py2/contrib/jsonb_plpython install DESTDIR=$(CURDIR)/debian/percona-postgresql-plpython-$(MAJOR_VER)
	$(MAKE) -C build-py2/contrib/ltree_plpython install DESTDIR=$(CURDIR)/debian/percona-postgresql-plpython-$(MAJOR_VER)
	# remove files duplicated from postgresql and -server-dev
	rm -rf debian/percona-postgresql-plpython-$(MAJOR_VER)/usr/include
	rm -rf debian/percona-postgresql-plpython-$(MAJOR_VER)/usr/share/locale
	rm debian/percona-postgresql-plpython-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/pgxs/src/pl/plpython/regress-python3-mangle.mk
	# remove files from the "wrong" python package
	rm -v debian/percona-postgresql-plpython-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/*plpython3*
endif
	# move SPI examples into server package (they wouldn't be in the doc package in an -A build)
	mkdir -p debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
	mv debian/tmp/usr/share/doc/postgresql-doc-$(MAJOR_VER)/extension debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/examples

override_dh_auto_install-indep:
	$(MAKE) -C build/doc install DESTDIR=$(CURDIR)/debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/postgresql/$(MAJOR_VER)

override_dh_auto_clean:
	rm -rf build* stamp

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_compress:
	dh_compress -X.source -X.c
	# compress manpages (excluding debian/tmp/)
	gzip -9n $(CURDIR)/debian/*-*/usr/share/postgresql/*/man/man*/*.[137]

override_dh_install-arch:
	dh_install -a

	# link README.Debian.gz to postgresql-common
	mkdir -p debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
	ln -s ../percona-postgresql-common/README.Debian.gz debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/README.Debian.gz

	# assemble perl version of pg_config in libpq-dev
	sed -ne '1,/__DATA__/p' debian/pg_config.pl > debian/libpq-dev/usr/bin/pg_config
	LC_ALL=C debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_config >> debian/libpq-dev/usr/bin/pg_config
	LC_ALL=C debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_config --help >> debian/libpq-dev/usr/bin/pg_config
	chmod 755 debian/libpq-dev/usr/bin/pg_config

	# remove actual build path from Makefile.global for reproducibility
	sed -i -e "s!^abs_top_builddir.*!abs_top_builddir = /build/percona-postgresql-$(MAJOR_VER)/build!" \
	       -e "s!^abs_top_srcdir.*!abs_top_srcdir = /build/percona-postgresql-$(MAJOR_VER)/build/..!" \
	       -e 's!-f\(debug\|file\)-prefix-map=[^ ]* !!g' \
	       debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/pgxs/src/Makefile.global

	# these are shipped in the pl packages
	bash -c "rm debian/percona-postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/{plperl,plpython,pltcl,*_pl}*"
	bash -c "rm debian/percona-postgresql-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/{plperl,plpython,pltcl,*_pl}*"
	rm -rfv debian/percona-postgresql-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/bitcode/*plpython3*

	# record catversion in a file
	echo $(CATVERSION) > debian/percona-postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/catalog_version

override_dh_install-indep:
	dh_install -i

	if [ -d debian/percona-postgresql-doc-$(MAJOR_VER) ]; then set -e; \

## percona-postgresql-11 11.19

=== debian/changelog ===
percona-postgresql-11 (11.19-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 11.19-1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 06 Mar 2023 10:24:54 -0500

percona-postgresql-11 (11.19) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 06 Mar 2023 10:24:54 -0500

## percona-postgresql-11 11.20

=== debian/changelog ===
percona-postgresql-11 (11.20-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 11.20-1

 -- root <root@312f522acf92>  Mon, 19 Jun 2023 14:36:30 -0400

percona-postgresql-11 (11.20) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 19 Jun 2023 14:36:30 -0400

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
   --libexecdir=/usr/lib/postgresql/ \
   --includedir=/usr/include/postgresql/ \
-  --with-extra-version=" ($(DEB_VENDOR) $(DEB_VERSION))" \
+  --with-extra-version=" - Percona Distribution ($(DEB_VENDOR) $(DEB_VERSION))" \
   --enable-nls \
   --enable-thread-safety \
   --enable-tap-tests \

## percona-postgresql-11 11.21

=== debian/changelog ===
percona-postgresql-11 (11.21-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 11.21-1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 21 Aug 2023 08:50:18 -0400

percona-postgresql-11 (11.21) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 21 Aug 2023 08:50:18 -0400

## percona-postgresql-11 11.22

=== debian/changelog ===
percona-postgresql-11 (11.22-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 11.22-1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Fri, 24 Nov 2023 11:01:53 -0500

percona-postgresql-11 (11.22) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 24 Nov 2023 11:01:53 -0500

=== debian/control ===
Source: percona-postgresql-11
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends:
 bison,
 clang [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 debhelper,
 dh-exec (>= 0.13~),
 docbook-xml,
 docbook-xsl (>= 1.77),
 dpkg-dev (>= 1.16.1~),
 flex,
 gettext,
 krb5-multidev,
 libedit-dev,
 libicu-dev,
 libipc-run-perl <!nocheck>,
 libldap2-dev,
 libpam0g-dev | libpam-dev,
 libperl-dev,
 libselinux1-dev [linux-any],
 libssl-dev,
 libsystemd-dev [linux-any],
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev,
 llvm-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 perl (>= 5.8),
 pkg-config,
#py2# python-dev,
 python3-dev,
 systemtap-sdt-dev,
 tcl-dev,
 uuid-dev,
 xsltproc,
 zlib1g-dev | libz-dev
Homepage: http://www.postgresql.org/

Package: libpq-dev
Architecture: any
Section: libdevel
Depends:
 libpq5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: percona-postgresql-doc-11
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Architecture: any
Section: libdevel
Depends:
 libecpg-compat3 (= ${binary:Version}),
 libecpg6 (= ${binary:Version}),
 libpgtypes3 (= ${binary:Version}),
 libpq-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: shared library libpgtypes for PostgreSQL 11
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-11
Architecture: any
Depends:
 locales | locales-all,
 percona-postgresql-client-11,
 percona-postgresql-common (>= 194~),
 ssl-cert,
 curl,
 tzdata,
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-contrib-11 (= 2:11.11-2~), postgresql-contrib-11(= 2:11.11-2~), postgresql-11(= 2:11.11-2~), postgresql (= 2:11.11-2~)
Replaces: postgresql-contrib-11 (<= 11.11-2~), postgresql-contrib-11 (<= 11.11-2~), postgresql-11 (<= 11.11-2~), postgresql (<= 11.11-2~)
Conflicts: postgresql-contrib-11 (<= 11.11-2~), postgresql-contrib-11 (<= 11.11-2~), postgresql-11 (<= 11.11-2~), postgresql (<= 11.11-2~)
Recommends: sysstat
Breaks:
 postgresql-11-citus (<< 8.0.0.PGDG-2~),
 postgresql-11-cron (<< 1.1.3-2~),
 postgresql-11-pgextwlist (<< 1.8-2~),
 postgresql-11-pglogical (<< 2.2.1-4~),
 postgresql-11-plsh (<< 1.20171014-3~),
 postgresql-11-rum (<< 1.3.2-4~),
 postgresql-11-wal2json (<< 1.0-5~),
 postgresql-contrib-11 (<= 11.11-2~), postgresql-contrib-11 (<= 11.11-2~), postgresql-11 (<= 11.11-2~), postgresql (<= 11.11-2~)
Description: The World's Most Advanced Open Source Relational Database
 PostgreSQL, also known as Postgres, is a free and open-source relational
 database management system (RDBMS) emphasizing extensibility and SQL
 compliance. It features transactions with Atomicity, Consistency, Isolation,
 Durability (ACID) properties, automatically updatable views, materialized
 views, triggers, foreign keys, and stored procedures. It is designed to handle
 a range of workloads, from single machines to data warehouses or Web services
 with many concurrent users.
 .
 This package provides the database server for PostgreSQL 11.
XB-Postgresql-Catversion: ${postgresql:Catversion}

Package: percona-postgresql-client-11
Architecture: any
Multi-Arch: foreign
Depends:
 libpq5 (>= ${source:Upstream-Version}),
 percona-postgresql-client-common,
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: percona-postgresql-11, percona-postgresql-doc-11
Provides: percona-postgresql-client, postgresql-client (= 2:11.11-2~), postgresql-client-11 (= 2:11.11-2~)
Conflicts: postgresql-server-dev-11 (<< 11.11-2~)
Breaks: postgresql-server-dev-11 (<< 11.11-2~)
Replaces: postgresql-server-dev-11 (<= 11.11-2~), postgresql-client (<= 11.11-2~), postgresql-client-11 (<= 11.11-2~)
Description: front-end programs for PostgreSQL 11
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 11. If you install
 PostgreSQL 11 on a standalone machine, you need the server package
 postgresql-11, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-server-dev-11
Architecture: any
Section: libdevel
Depends:
 clang [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 libpq-dev (>= 11~~),
 llvm-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 percona-postgresql-client-11, percona-postgresql-common (>= 142~),
 ${misc:Depends},
 ${shlibs:Depends}
#Breaks:
#Provides: postgresql-server-dev-all (= 2:11.11-2~), postgresql-server-dev-all-11 (= 2:11.11-2~)
#Replaces: postgresql-server-dev-all (<= 11.11-2~), postgresql-server-dev-all-11 (<= 11.11-2~)
#Conflicts: postgresql-server-dev-all (<= 11.11-2~), postgresql-server-dev-all-11 (<= 11.11-2~)
Breaks: postgresql-server-dev-all (<= 11.11-2~), postgresql-server-dev-all-11 (<= 11.11-2~), postgresql-server-dev-all (<< 181~)
Description: development files for PostgreSQL 11 server-side programming
 Header files for compiling SSI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-doc-11
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Breaks: postgresql-common (<< 158~)
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 11. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-plperl-11
Architecture: any
Depends:
 perl,
 percona-postgresql-11 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-plperl, postgresql-plperl (= 2:11.11-2~), postgresql-plperl-11 (= 2:11.11-2~)
Replaces: postgresql-plperl (<= 11.11-2~), postgresql-plperl-11 (<= 11.11-2~)
Conflicts: postgresql-plperl (<= 11.11-2~), postgresql-plperl-11 (<= 11.11-2~)
Breaks: postgresql-plperl (<= 11.11-2~), postgresql-plperl-11 (<= 11.11-2~)
Description: PL/Perl procedural language for PostgreSQL 11
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 11 in Perl.  You need this package if you have any
 PostgreSQL 11 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

#py2#Package: postgresql-plpython-11
#py2#Architecture: any
#py2#Depends:
#py2# postgresql-11 (= ${binary:Version}),
#py2# ${misc:Depends},
#py2# ${shlibs:Depends}
#py2## bitcode files moved from postgresql-11
#py2#Breaks: postgresql-11 (<< 11.5-2~)
#py2#Replaces: postgresql-11 (<< 11.5-2~)
#py2#Provides: postgresql-plpython
#py2#Description: PL/Python procedural language for PostgreSQL 11
#py2# PL/Python enables an SQL developer to write procedural language functions
#py2# for PostgreSQL 11 in Python.  You need this package if you have any
#py2# PostgreSQL 11 functions that use the languages plpython or plpythonu.
#py2# .
#py2# PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-plpython3-11
Architecture: any
Depends:
 percona-postgresql-11 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-plpython3, postgresql-plpython3 (= 2:11.11-2~), postgresql-11-plpython3 (= 2:11.11-2~)
Replaces: postgresql-plpython3 (<= 11.11-2~), postgresql-11-plpython3 (<= 11.11-2~)
Conflicts: postgresql-plpython3 (<= 11.11-2~), postgresql-11-plpython3 (<= 11.11-2~)
Description: PL/Python 3 procedural language for PostgreSQL 11
 PL/Python 3 enables an SQL developer to write procedural language functions
 for PostgreSQL 11 in Python 3.  You need this package if you have any
 PostgreSQL 11 functions that use the languages plpython3 or plpython3u.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-pltcl-11
Architecture: any
Depends:
 percona-postgresql-11 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-pltcl, postgresql-pltcl (= 2:11.11-2~), postgresql-11-pltcl (= 2:11.11-2~)
Replaces: postgresql-pltcl (<= 11.11-2~), postgresql-11-pltcl (<= 11.11-2~)
Conflicts: postgresql-pltcl (<= 11.11-2~), postgresql-11-pltcl (<= 11.11-2~)
Breaks: postgresql-pltcl (<= 11.11-2~), postgresql-11-pltcl (<= 11.11-2~)
Description: PL/Tcl procedural language for PostgreSQL 11
 PL/Tcl enables an SQL developer to write procedural language functions
 for PostgreSQL 11 in Tcl.  You need this package if you have any
 PostgreSQL 11 functions that use the languages pltcl or pltclu.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 # if LLVM is installed, use it
 ifneq ($(wildcard /usr/bin/llvm-config*),)
-LLVM_FLAGS = --with-llvm LLVM_CONFIG=/usr/bin/llvm-config-11 CLANG=/usr/bin/clang-11
+LLVM_FLAGS = --with-llvm LLVM_CONFIG=/usr/bin/llvm-config CLANG=/usr/bin/clang
 endif
 
 # PostgreSQL 9.5+ does not have native spinlock support on alpha
